UI::CodeException< Code > Class Template Reference

Adding code facility to Exception. More...

`#include <Exception.hpp>`

Inheritance diagram for UI::CodeException< Code >:
Collaboration diagram for UI::CodeException< Code >:

## Public Member Functions

| CodeException (Code const &code, std::string const &what=NoWhatGiven_, std::string const &debug=NoDebugGiven_, int const &errNo=0)
Code const & | getCode () const
Public Member Functions inherited from UI::Exception
| Exception (std::string const &what=NoWhatGiven_, std::string const &debug=NoDebugGiven_, int const &errNo=0)
| Construct with description text.
char const * | what () const throw ()
int const & | getErrno () const
std::string | getDebug () const

## Additional Inherited Members

Static Public Attributes inherited from UI::Exception
static std::string const | Errno_
| If this string is used in a "what" description message, it will be replaced by an errno error string.
Static Protected Attributes inherited from UI::Exception
static std::string const | NoWhatGiven_
static std::string const | NoDebugGiven_

## Detailed Description

template<typename Code = int>
class UI::CodeException< Code >

Adding code facility to Exception.

The documentation for this class was generated from the following file:

- Exception.hpp